package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.train.TtTrainTarget;
import com.ruoyi.project.business.domain.vo.train.TrainParticipantReq;
import com.ruoyi.project.business.domain.vo.train.TtTrainTargetVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 考核对象Mapper接口
 *
 * @author ruoyi
 * @date 2024-06-18
 */
public interface TtTrainTargetMapper extends BaseMapper<TtTrainTarget> {
    /**
     * 查询考核对象
     *
     * @param id 考核对象主键
     * @return 考核对象
     */
    TtTrainTarget selectTtTrainTargetById(Long id);

    /**
     * 查询考核对象列表
     *
     * @param ttTrainTarget 考核对象
     * @return 考核对象集合
     */
    List<TtTrainTargetVo> selectTtTrainTargetList(TtTrainTarget ttTrainTarget);

    /**
     * 新增考核对象
     *
     * @param ttTrainTarget 考核对象
     * @return 结果
     */
    int insertTtTrainTarget(TtTrainTarget ttTrainTarget);

    int insertTtTrainTargetBatch(List<TtTrainTarget> ttTrainTargetList);

    /**
     * 修改考核对象
     *
     * @param ttTrainTarget 考核对象
     * @return 结果
     */
    int updateTtTrainTarget(TtTrainTarget ttTrainTarget);

    /**
     * 删除考核对象
     *
     * @param id 考核对象主键
     * @return 结果
     */
    int deleteTtTrainTargetById(Long id);

    /**
     * 批量删除考核对象
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTtTrainTargetByIds(Long[] ids);

    /**
     * 批量删除 根据培训id
     *
     * @param trainIds
     * @return
     */
    int deleteTtTrainTargetByTrainIds(Long[] trainIds);
}
